package de.assono;

import lotus.domino.Database;
import lotus.domino.NotesException;
import lotus.domino.NotesFactory;
import lotus.domino.Session;

public class HelloWorldApp {

	public static void main(String[] args) {

		final String DB_FILE_PATH = "Projekte/Konferenzen/EntwicklerCamp 2013/EC13-T3S2-Java-in-Notes.nsf";

		System.out.println("Hallo EntwicklerCamp!\n");

		try {
			Session s = NotesFactory.createSession("192.168.242.86:60148");

			if (s != null) {
				Database db = s.getDatabase("", DB_FILE_PATH);

				System.out.println("Benutzer:	" + s.getCommonUserName());
				System.out.println("Datenbank:	" + db.getTitle());
				System.out.println("Anzahl Dokumente in der Datenbank: "
						+ db.getAllDocuments().getCount());

				db.recycle();
				s.recycle();
			}

		} catch (NotesException ne) {
			System.out.println("Notes-Fehler #" + ne.id + ": " + ne.text);
		} catch (Exception e) {
			e.printStackTrace();
		}
	}

}
